.chat-wrapper {
  position: relative;
  margin: 1rem 4rem;
  height: 89vh;
}
.messages-container {
  display: flex;
  gap: 1rem;
  flex-direction: column;
  max-height: 82vh;
  overflow: hidden;
  overflow-y: auto;
  padding-right: 10px;
}
.input-container {
  position: absolute;
  width: 100%;
  bottom: 10px;
  margin: 0 auto;
  left: 20px;
  input {
    width: 95%;
    position: relative;
    outline: none;
    padding: 10px 1rem;
    border-radius: 5px;
    font-size: 15px;
    border: 1px solid lightgray;
    box-shadow: 1px 2px 6px rgba(0, 0, 0, 0.2);
  }
  .submit-btn {
    border: none;
    position: absolute;
    background-color: transparent;
    right: 50px;
    top: 8px;
  }
}

.received,
.sent {
  display: flex;
  align-items: flex-start;
  gap: 1rem;
  .sender {
    border: 1px solid #bdc3c7;
    width: 40px !important;
    height: 40px;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;

    .sender-avatar {
      width: 40px;
      height: 40px;
      background-color: black;
      overflow: hidden;
      border-radius: 100%;
    }
  }
  .content {
    border: 1px solid black;
    max-width: 80%;
    padding: 10px 20px;
    border-radius: 25px;
    border: none;
    background-color: #ecf0f1;
    @media only screen and (max-width: 600px) {
      max-width: 50%;
      padding: 10px 20px;
    }
  }
}
.sent {
  display: flex;
  flex-direction: row-reverse;
  .content {
    background-color: #3498db;
    color: white;
    border: none;
  }
}
